
gCube - Bug #4701

Species-product-discovery service: jar, gar, fullGar are missing

Jul 08, 2016 06:11 PM - Roberto Cirillo

Status: Closed Start date: Jul 08, 2016

Priority: Urgent Due date:  

Assignee: Lucio Lelii % Done: 100%

Category: data-access Estimated time: 0.00 hour

Sprint: zz - UnSprintable   

Description

This is the last etics build for 4.0.0-gcore:

http://eticsbuild2.research-infrastructures.eu:8080/BuildReport/home/AllBuilds/org.gcube.4-0-0-gcore/BUILD_18

I've found on nexus only the pom for spd service. The jar, gar and fullGar are needed.

Related issues:

Blocks D4Science Infrastructure - Upgrade # 4324: /gcube/preprod upgrade to g... Completed Jun 22, 2016 Jul 06, 2016

History

#1 - Jul 08, 2016 06:12 PM - Roberto Cirillo

@gabriele.giammatteo@eng.it , @mariaantonietta.digirolamo@eng.it  could you check what is wrong on etics build, please?

#2 - Jul 11, 2016 11:15 AM - Gabriele Giammatteo

I can see a compilation error in the log:

[ERROR] COMPILATION ERROR :

[INFO] -------------------------------------------------------------

[ERROR]

  required: no arguments

  found: java.lang.String,int

  reason: actual and formal argument lists differ in length

[ERROR]

  symbol:   method acquireWriteLockOnKey(org.gcube.data.spd.caching.CacheKey)

  location: variable cache of type net.sf.ehcache.Cache

[ERROR]

  symbol:   method releaseWriteLockOnKey(org.gcube.data.spd.caching.CacheKey)

  location: variable cache of type net.sf.ehcache.Cache

 

The overall result of the component is still SUCCESS because after the "mvn deploy", there is another command ("mvn dependency:tree -Dverbose")

not using the "&&", so only the exit status of the last command is taken into consideration. My suggestion is to remove the last command (probably

added only for debbugging purposes) or append it to the previous one with "&&"
#3 - Jul 12, 2016 03:18 PM - Roberto Cirillo

Any update on this? I see again only the pom on nexus

#4 - Jul 12, 2016 03:19 PM - Roberto Cirillo

- Blocks Upgrade #4324: /gcube/preprod upgrade to gCube 4.0.0 added

#5 - Jul 12, 2016 04:58 PM - Maria Di Girolamo

Please check the error at the  :

http://etics.esl.eng.it/etics-repository-ws/reports/id/8014d5bd-0315-4f4a-af54-408bcf11b0ac/centos6.8_x86_64_gcc447/-/reports/reportModuleDetail-s

pecies-products-discovery-species-products-discovery.2-3-2-2.html

"

[ERROR] COMPILATION ERROR :

[INFO] -------------------------------------------------------------

[ERROR]

/var/lib/condor/execute/dir_1475341/userdir/species-products-discovery/species-products-discovery-service/src/main/java/org/gcube/data/spd/manag

er/search/workers/SearchWorker.java:[92,54] cannot find symbol

symbol:   method acquireWriteLockOnKey(org.gcube.data.spd.caching.CacheKey)

location: variable cache of type net.sf.ehcache.Cache

[ERROR]

/var/lib/condor/execute/dir_1475341/userdir/species-products-discovery/species-products-discovery-service/src/main/java/org/gcube/data/spd/manag

er/search/workers/SearchWorker.java:[99,54] cannot find symbol

symbol:   method releaseWriteLockOnKey(org.gcube.data.spd.caching.CacheKey)

location: variable cache of type net.sf.ehcache.Cache

[ERROR]

/var/lib/condor/execute/dir_1475341/userdir/species-products-discovery/species-products-discovery-service/src/main/java/org/gcube/data/spd/plugin/

PluginManager.java:[290,56] constructor CacheConfiguration in class net.sf.ehcache.config.CacheConfiguration cannot be applied to given types;

required: no arguments

found: java.lang.String,int

reason: actual and formal argument lists differ in length

[INFO] 3 errors

"

#6 - Jul 13, 2016 11:49 AM - Gabriele Giammatteo

It seems the same error or 2 days ago. If so, as I told already to @lucio.lelii@isti.cnr.it via Skype, I found it should be caused by multiple ehcache

versions brought by different dependencies.

Excluding ehcache version brought by geotools should solve the issue:

                <dependency>

                        <groupId>org.gcube.contentmanagement</groupId>

                        <artifactId>time-series-geotools</artifactId>

                        <version>1.6.2-4.0.0-126683</version>

                        <exclusions>

                                <exclusion>

                                        <artifactId>rapidminer-custom</artifactId>

                                        <groupId>org.gcube.common</groupId>
                                </exclusion>

                                  <exclusion>

                                    <groupId>net.sf.ehcache</groupId>

                                    <artifactId>ehcache</artifactId>

                                  </exclusion>

                        </exclusions>

                </dependency>

#7 - Jul 15, 2016 11:17 AM - Roberto Cirillo

- % Done changed from 0 to 100

- Status changed from New to In Progress

#8 - Jul 15, 2016 11:17 AM - Roberto Cirillo

- Status changed from In Progress to Closed
